import { HttpClient } from '@angular/common/http';
import { InjectionToken, ModuleWithProviders } from '@angular/core';
import { GeocoderService } from './angular-geocoder.service';
import * as i0 from "@angular/core";
import * as i1 from "./angular-geocoder.component";
import * as i2 from "@angular/common";
import * as i3 from "@angular/forms";
export declare class GeocoderModule {
    static forRoot(options?: GeocoderModuleOptions): ModuleWithProviders<GeocoderModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<GeocoderModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<GeocoderModule, [typeof i1.GeocoderComponent], [typeof i2.AsyncPipe, typeof i2.NgClass, typeof i3.ReactiveFormsModule], [typeof i1.GeocoderComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<GeocoderModule>;
}
export interface GeocoderModuleOptions {
    geocoderBaseUrl?: string;
}
export declare var FOR_ROOT_OPTIONS_TOKEN: InjectionToken<GeocoderModuleOptions>;
export declare function provideGeocoderServiceOptions(http: HttpClient, options: GeocoderModuleOptions): GeocoderService;
